﻿using Task = System.Threading.Tasks.Task;

namespace DocuMed.Repository.Services.Contracts;

public interface IDbInitializerService : IScopedDependency
{
    void Initialize();
    Task SeedDate(bool force = false);
    Task SeedRoles();
}